<ul>
  <li><a routerLink="/page1">Page1</a></li>
  <li><a routerLink="/products/1">Product 1</a></li>
  <li><a routerLink="/products/2">Product 2</a></li>
  <li><a routerLink="/products/3">Product 3</a></li>
  <li><a routerLink="/products/4">Product 4</a></li>
  <li><a routerLink="/products/5">Product 5</a></li>
</ul>

<router-outlet></router-outlet>
